Page MenuHomePhabricator

๐Ÿ‘ฉโ€๐Ÿ‘ฆโ€๐Ÿ‘ฆ AHT password strengthing work, 2018/19
Closed, ResolvedPublic

Description

Make the passwords for new Wikimedia accounts and all admin accounts more secure. See the subtasks for more info.

Details

Related Gerrit Patches:

Event Timeline

Restricted Application added subscribers: MGChecker, Aklapper. ยท View Herald TranscriptOct 31 2018, 4:47 PM

Yeah, good catch. Makes sense to bump this one up too. I forget, though... do Stewarts also need 2FA? If so, the length is less of an issue.

Yeah, good catch. Makes sense to bump this one up too. I forget, though... do Stewarts also need 2FA? If so, the length is less of an issue.

We recently requested stewards add 2FA. Most have it now.

TBolliger moved this task from Backlog to Snackbox on the Anti-Harassment board.Dec 12 2018, 8:53 PM

Change 479572 had a related patch set uploaded (by Jforrester; owner: Jforrester):
[operations/mediawiki-config@master] Require passwords do not match account names for all users

https://gerrit.wikimedia.org/r/479572

Change 479572 abandoned by Jforrester:
Require passwords do not match account names for all users

Reason:
Already set through MW itself.

https://gerrit.wikimedia.org/r/479572

Niharika closed this task as Resolved.Mar 25 2019, 7:19 PM
Niharika claimed this task.
Niharika triaged this task as Medium priority.
Niharika added a subscriber: Niharika.

Looks like AHT work on this is complete.

Niharika removed Niharika as the assignee of this task.Mar 25 2019, 7:30 PM